%define upstream_name    Dist-Zilla-Plugin-Test-ReportPrereqs
%define upstream_version 0.024

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Report on prerequisite versions during automated testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.200.2
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Foo the foo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.24.0-2.mga6
+ Revision: 1026613
- Rebuild for perl 5.22.2

* Sat Mar 05 2016 shlomif <shlomif> 0.24.0-1.mga6
+ Revision: 986129
- update to 0.024

* Fri Feb 19 2016 umeabot <umeabot> 0.21.0-3.mga6
+ Revision: 970335
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.21.0-2.mga6
+ Revision: 885967
- Fix BRs

* Thu Jun 25 2015 shlomif <shlomif> 0.21.0-1.mga6
+ Revision: 843066
- update to 0.021

* Wed Oct 15 2014 umeabot <umeabot> 0.19.0-3.mga5
+ Revision: 739994
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.19.0-1.mga5
+ Revision: 662601
- update to 0.019

* Sun Aug 03 2014 sander85 <sander85> 0.18.0-1.mga5
+ Revision: 659357
- update to 0.018

* Fri Aug 01 2014 sander85 <sander85> 0.17.0-1.mga5
+ Revision: 658974
- update to 0.017

* Wed Jul 30 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 658155
- update to 0.016

* Fri Jul 18 2014 sander85 <sander85> 0.14.0-1.mga5
+ Revision: 653627
- update to 0.014

* Tue Feb 04 2014 shlomif <shlomif> 0.13.0-1.mga5
+ Revision: 581131
- update to 0.013

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.8.0-1.mga4
+ Revision: 497238
- update to 0.008

* Sat Jun 08 2013 shlomif <shlomif> 0.6.0-1.mga4
+ Revision: 440545
- imported package perl-Dist-Zilla-Plugin-Test-ReportPrereqs


* Sat Jun 08 2013 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
